#
# Conditional build:
%bcond_with	static_libs	# static library
#
Summary:	A GTK+ module that bridges ATK to D-Bus at-spi
Summary(pl.UTF-8):	Moduł GTK+ łączący ATK z at-spi jako usługą D-Bus
Name:		at-spi2-atk
Version:	2.14.1
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/at-spi2-atk/2.14/%{name}-%{version}.tar.xz
# Source0-md5:	5c6a085249a6d4e792ead86dca183504
URL:		https://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
BuildRequires:	at-spi2-core-devel >= 2.11.2
BuildRequires:	atk-devel >= 2.11.90
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	dbus-devel >= 1.5
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
Requires:	%{name}-libs = %{version}-%{release}
Requires:	at-spi2-core >= 2.11.2
Requires:	dbus >= 1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a GTK+ module that bridges ATK to the new D-Bus
based at-spi.

%description -l pl.UTF-8
Ten pakiet dostarcza moduł GTK+ łączący ATK z nowym at-spi, opartym o
usługę D-Bus.

%package libs
Summary:	Shared atk-bridge library
Summary(pl.UTF-8):	Biblioteka współdzielona atk-bridge
Group:		Libraries
Requires:	at-spi2-core-libs >= 2.11.2
Requires:	atk >= 2.11.90
Requires:	dbus-libs >= 1.5
Requires:	glib2 >= 1:2.32.0
Conflicts:	at-spi2-atk < 2.6.0-2

%description libs
Shared atk-bridge library, providing ATK/D-Bus bridge.

%description libs -l pl.UTF-8
Biblioteka współdzielona atk-bridge, zapewniająca pomost między ATK a
D-Bus.

%package devel
Summary:	Header files for atk-bridge library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki atk-bridge
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	at-spi2-core-devel >= 2.11.2
Requires:	glib2-devel >= 1:2.32.0

%description devel
Header files for atk-bridge library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki atk-bridge.

%package static
Summary:	Static atk-bridge library
Summary(pl.UTF-8):	Biblioteka statyczna atk-bridge
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static atk-bridge library.

%description static -l pl.UTF-8
Biblioteka statyczna atk-bridge.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gtk-*/modules/libatk-bridge.la \
	$RPM_BUILD_ROOT%{_libdir}/*.la

%{?with_static_libs:%{__rm} $RPM_BUILD_ROOT%{_libdir}/gtk-*/module/libatk-bridge.a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gtk-2.0/modules/libatk-bridge.so
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/at-spi2-atk.desktop

%files libs
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/libatk-bridge-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libatk-bridge-2.0.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libatk-bridge-2.0.so
%{_includedir}/at-spi2-atk
%{_pkgconfigdir}/atk-bridge-2.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libatk-bridge-2.0.a
%endif
%changelog
* Sun Oct 19 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/at-spi2-atk.git;a=log;h=master

* Sat Oct 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 43e6dec
- updated to 2.14.1

* Thu Sep 25 2014 Łukasz Kieś <kiesiu@pld-linux.org> fbb92c2
- updated to 2.14.0

* Tue Apr 15 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 671f1a7
- Update to 2.12.1

* Mon Mar 24 2014 Łukasz Kieś <kiesiu@pld-linux.org> 62c73b8
- updated to 2.12.0

* Tue Nov 12 2013 Łukasz Kieś <kiesiu@pld-linux.org> 269eaf5
- updated to 2.10.2

* Tue Sep 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 4747d3a
- updated to 2.10.0

* Fri Apr 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 2f2ba74
- updated to 2.8.1

* Fri Mar 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 3af6c00
- versioned dependencies in -libs

* Tue Mar 26 2013 Łukasz Kieś <kiesiu@pld-linux.org> 78686f7
- updated to 2.8.0

* Tue Nov 13 2012 Jakub Bogusz <qboosh@pld-linux.org> cfae4dc
- updated to 2.6.2

* Wed Oct 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> 944d0d7
- updated to 2.6.1

* Wed Sep 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 34a89ef
- separated -libs so that development using libatk-bridge is possible without gtk+ etc.
- added static_libs bcond

* Tue Sep 25 2012 Łukasz Kieś <kiesiu@pld-linux.org> 7cf546c
- merged from DEVEL
- updated to 2.6.0
- there is no locales files provided with software

* Wed Sep 05 2012 Łukasz Kieś <kiesiu@pld-linux.org> f134774
- updated to 2.5.91
- removed gtk+3 module
- disabled silent rules

* Wed Aug 22 2012 Łukasz Kieś <kiesiu@pld-linux.org> 6cfdffd
- added ldconfig in %post and %postun

* Wed Aug 22 2012 Łukasz Kieś <kiesiu@pld-linux.org> f57b3d5
- update to 2.5.90
- created -devel package

* Thu Mar 29 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 946ee6f
- updated to 2.4.0

* Tue Nov 15 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 86ed8f3
- updated to 2.2.2

* Tue Nov 01 2011 Jakub Bogusz <qboosh@pld-linux.org> 960d998
- pl
- versioned runtime dependecies

* Fri Oct 28 2011 Marcin Banasiak <marcin.banasiak@gmail.com> b62fe90
- updated to 2.2.1

